## NAME

r.topmodel - Simulates TOPMODEL which is a physically based hydrologic model.

## KEYWORDS

raster

## SYNOPSIS

r.topmodel
r.topmodel help
r.topmodel [-i] [basin=string] [elevation=string] [depressionless=string] [direction=string] [belevation=string] [topidx=string] [nidxclass=integer] idxstats=string parameters=string input=string output=string [Qobs=string] [timestep=integer] [idxclass=integer] [--overwrite]

### Flags:

-i
  Input data given for (o/i)
--overwrite
  Force overwrite of output files

### Parameters:

basin=string
  (i) Basin map created by r.water.outlet (MASK)
elevation=string
  (i) Elevation map
depressionless=string
  (o) Depressionless elevation map
direction=string
  (o) Direction map for depressionless elevation map
belevation=string
  (o/i) Basin elevation map (MASK applied)
topidx=string
  (o) Topographic index ln(a/tanB) map (MASK applied)
nidxclass=integer
  (i) Number of topographic index classes
  Default: 30
idxstats=string
  (o/i) Topographic index statistics file
parameters=string
  (i) TOPMODEL Parameters file
input=string
  (i) Rainfall and potential evapotranspiration data file
output=string
  (o) Output file
Qobs=string
  (i) OPTIONAL Observed flow file
timestep=integer
  (i) OPTIONAL Output for given time step
idxclass=integer
  (i) OPTIONAL Output for given topographic index class

## DESCRIPTION

r.topmodel simulates TOPMODEL which is a physically based hydrologic model.

Note: (i) means input; (o) means output; (o/i) means input or output

The -i flag indicates that input data are given for (o/i). Without this flag, all inputs (i) and intermediate outputs (o/i) should be given. For example, [belevation] map will be created from [elevation] and [basin] in every run. However, given the same [elevation] and [basin], [belevation] output will be the same all the time, so r.topmodel can directly take [belevation] as an input with this flag to save time.

### Selected Parameters:

depressionless map is created as follows:

      r.fill.dir input=elevation elev=depressionless dir=direction type=grass

  This option can be omitted if [elevation] map is already depressionless.

belevation map is created from [elevation] with [basin] mask applied:

      r.mapcalc "belevation = if(basin == 0 || isnull(basin), null(), elevation)"

topidx map is created as follows:

      r.topidx input=elevation output=topidx

Qobs
  Compare simulated flows with observed flows and calculate model efficiency.

## SEE ALSO

r.fill.dir, r.mapcalc, r.topidx, How to run r.topmodel

## AUTHORS

Main algorithm sources are rewritten in C based on TMOD9502.FOR.
Thanks to Keith Beven.

GRASS port by Huidae Cho
Hydro Laboratory, Kyungpook National University, South Korea

Last changed: $Date: 2006/07/18 19:35:23 $

Main index - raster index - Full index